unit SIL2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, JPEG, pngimage, ExtDlgs, Menus;

type
  TFIL2 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Label2: TLabel;
    Edit2: TEdit;
    Button2: TButton;
    Image1: TImage;
    BitBtn1: TBitBtn;
    OpenDialog1: TOpenDialog;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    ListBox1: TListBox;
    Button3: TButton;
    Label3: TLabel;
    BitBtn2: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FIL2: TFIL2;

implementation

uses About;

{$R *.dfm}

procedure TFIL2.Button1Click(Sender: TObject);
begin
  OpenDialog1.Filter := ' JPG|*.jpg';
  if OpenDialog1.Execute then
    ListBox1.Items.Add(OpenDialog1.FileName);
  Label1.Caption := ' (' + IntToStr(ListBox1.Count) + '):';
end;

procedure TFIL2.Button2Click(Sender: TObject);
begin
  OpenDialog1.Filter := ' PNG|*.png';
  if OpenDialog1.Execute then
    Edit2.Text := OpenDialog1.FileName;
end;

procedure TFIL2.BitBtn1Click(Sender: TObject);
const
  Transparent = 80;
  SELDIRHELP = 1000;
var
  jpg: TJPEGImage;
  bmp: TBitmap;
  png: TPNGObject;
  {x,y,}i: integer;
  {Alpha: pByteArray;}
begin
  if (ListBox1.Count <> 0) and (Edit2.Text <> '') then
  begin
    for i := 0 to ListBox1.Items.Count - 1 do begin
      jpg := TJPEGImage.Create;
      jpg.LoadFromFile(ListBox1.Items[i]);
      bmp := TBitmap.Create;
      bmp.Assign(jpg);
      png := TPNGObject.Create;
      png.LoadFromFile(Edit2.Text);
      {for y := 0 to png.Height - 1 do begin
        Alpha := png.AlphaScanline[y];
        for x := 0 to png.Width - 1 do Alpha[x] := Alpha[x] * Transparent div 100;
      end;  }
      bmp.Canvas.Draw(jpg.Width - png.Width,jpg.Height - png.Height,png);
      Image1.Picture.Assign(bmp);
      jpg.Assign(bmp);
      jpg.SaveToFile(ListBox1.Items[i]);
      bmp.Free;
      png.Free;
      jpg.Free;
    end;
  end
  else
    ShowMessage('     !');
end;

procedure TFIL2.N2Click(Sender: TObject);
begin
  FAbout.ShowModal;
end;

procedure TFIL2.Button3Click(Sender: TObject);
begin
  ListBox1.Items.Delete(ListBox1.ItemIndex);
  Label1.Caption := ' (' + IntToStr(ListBox1.Count) + '):';
end;

procedure TFIL2.ListBox1Click(Sender: TObject);
var
  jpg: TJPEGImage;
  bmp: TBitmap;
  png: TPNGObject;
begin
  if (ListBox1.Count <> 0) and (Edit2.Text <> '') then
  begin
    jpg := TJPEGImage.Create;
    Try
      jpg.LoadFromFile(ListBox1.Items[ListBox1.ItemIndex]);
      bmp := TBitmap.Create;
      bmp.Assign(jpg);
      png := TPNGObject.Create;
      png.LoadFromFile(Edit2.Text);
      bmp.Canvas.Draw(jpg.Width - png.Width,jpg.Height - png.Height,png);
      Image1.Picture.Assign(bmp);
      Label3.Caption := ' : ' + IntToStr(jpg.Width) + 'x' + IntToStr(jpg.Height);
    Except
      Image1.Picture.Assign(png);
      Label3.Caption := ' :';
    End;
    bmp.Free;
    png.Free;
    jpg.Free;
  end
  else
    ShowMessage('     !');
end;

procedure TFIL2.BitBtn2Click(Sender: TObject);
begin
  ListBox1.Items.Clear;
  Label1.Caption := ' (' + IntToStr(ListBox1.Count) + '):';
end;

end.
